# Install plugins
set -g @plugin 'tmux-plugins/tpm'
set -g @plugin 'tmux-plugins/tmux-sensible'
# set -g @plugin 'tmux-plugins/tmux-resurrect'
# set -g @plugin 'tmux-plugins/tmux-continuum'
set -g @plugin 'tmux-plugins/tmux-mighty-scroll'
set -g @plugin 'tmux-plugins/tmux-logging'
set -g @plugin 'jaclu/tmux-menus'

# Activate continuum restore
# set -g @continuum-restore 'on'

# Activate menu plugin
set -g @menus_trigger 'F9'
set -g @menus_without_prefix 1

# Defaults
set -s default-terminal 'tmux-256color'
set -g mouse on

# Show pane status
set -g pane-border-status top

# Start index from 1 not 0
set -g base-index 1
setw -g pane-base-index 1

# remap prefix from 'C-b' to 'C-y'
unbind C-b
set-option -g prefix C-y
bind-key C-y send-prefix

# switch panes using Alt-arrow without prefix
bind -n M-Left select-pane -L
bind -n M-Right select-pane -R
bind -n M-Up select-pane -U
bind -n M-Down select-pane -D

# exit session on C-x (use 'bind -n' to use it without prefix)
bind C-x confirm-before -p "kill-session #S? (y/n)" "kill-session"

run '/usr/share/tmux-plugin-manager/tpm'
run-shell "powerline-config tmux setup"
